/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2012, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@member.fsf.org
-------------------------------------------------------------------------------*/
#ifndef MBR_H
#define MBR_H
#include <blkdevice.h>

#define BootFlagoffset 0
#define TypeCodeoffset 4
#define LBABeginoffset 8
#define NumOfSecoffset 12

#define MBRBadMbr 1
#define MBRBabArg 2
#define MBRReadErr 3 
#define MBRnoErr 0 

#define isFat32(TypeCode) (((TypeCode)==0x0b)||((TypeCode)==0x0c))

typedef struct dikpartition
{
	char TypeCode;
    char valide;
	unsigned int LBABegin;
	unsigned int NumOfSec;
	blkdevice* phy;
}dikpartition;


int mbropen(blkdevice* phy,dikpartition* part,char partNum);


#endif




















